Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000445Core InformKinds and type checkingpublic2010-11-30 08:052014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6L02 
Summary0000445: HTML for runtime problem P60 has the explanation cast in the wrong template
DescriptionThe attached source brings up this error page:

- - - -
Translating the Source - Attempt to set a variable to the wrong kind of object
Suppose we write 'The favourite place is a room that varies.', and then during play 'now the favourite place is X', where X is some value. If Inform can tell in advance that X can't be a room, it will produce a Problem message and refuse to translate the source. But sometimes it can't tell in advance, because Inform only knows that X will be an object - which might or might not be a room. When that happens, it has to check at run-time (now!) to make sure. That's the check which has just failed for a variable of yours.

Sorry for the inconvenience.
- - - -

The explanation is fine, but the surrounding text seems wrong: this isn't an error in translating the source. Probably the html should match the sort of page that comes up in response to executing lines like ``now the player is nothing.''
Minimal Source Text To Reproduce
There is a room.
The place of origin is a room that varies.
The shadows are scenery.
When play begins:
	let a dim spot be the shadows;
	now the place of origin is a dim spot;
	move the player to the place of origin.
Additional InformationAlso, the source still changes the location of the player to the shadows; the assignment to the place of origin is happening despite the check and problem message. I'm not sure if that should be filed as another bug, or if the message is simply warning the author that there is trouble ahead.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships
related to 0000129closedgraham Missing run-time type check assigning from a supertype to a subtype 

-  Notes
(0001365)
graham (administrator)
2011-10-15 02:37

Fixed: an off-by-one error in the code compiling these problem report pages. (This happens to be the numerically highest run-time error message.)

- Issue History
Date Modified Username Field Change
2010-11-30 08:05 EmacsUser New Issue
2010-11-30 08:05 EmacsUser Issue generated from 0000129
2010-11-30 09:01 jmcgrew Relationship added related to 0000129
2010-11-30 09:01 jmcgrew Status new => confirmed
2011-10-15 02:37 graham Note Added: 0001365
2011-10-15 02:37 graham Status confirmed => resolved
2011-10-15 02:37 graham Resolution open => fixed
2011-10-15 02:37 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker